MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004639ATutorForum/Chatpublic2010-12-03 11:382010-12-20 10:19
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.2 
Summary0004639: forums replies display markup
Descriptionwhen posting a reply to a forum message, the BR tags in the replied to message area show up as text
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004760)
greg (administrator)
2010-12-03 11:39

that's in a reply to a reply
(0004761)
cindy (administrator)
2010-12-06 09:39

That's the way it's supposed to work. The html is disabled in forum to avoid the xss injection. This restriction is also listed underneath the reply box.
(0004762)
cindy (administrator)
2010-12-07 10:30

SVN revision: 10475

Solution: Do not convert html entities at displaying the thread to reply.

Affected: mods\_standard\forums\html\new_thread.inc.php

- Issue History
Date Modified Username Field Change
2010-12-03 11:38 greg New Issue
2010-12-03 11:38 greg Affects version => SVN
2010-12-03 11:39 greg Note Added: 0004760
2010-12-03 11:39 greg Status new => assigned
2010-12-03 11:39 greg Assigned To => cindy
2010-12-06 09:39 cindy Note Added: 0004761
2010-12-07 10:30 cindy Status assigned => resolved
2010-12-07 10:30 cindy Fixed in Version => 2.0.2
2010-12-07 10:30 cindy Resolution open => fixed
2010-12-07 10:30 cindy Note Added: 0004762
2010-12-20 10:19 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker